
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_ordercancelrs_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for FareAmountType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="FareAmountType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="ADC"/&amp;gt;
 *     &amp;lt;enumeration value="Bulk"/&amp;gt;
 *     &amp;lt;enumeration value="IT"/&amp;gt;
 *     &amp;lt;enumeration value="NOADC"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "FareAmountType")
@XmlEnum
public enum FareAmountType {


    /**
     * Additional collection
     * 
     */
    ADC("ADC"),
    @XmlEnumValue("Bulk")
    BULK("Bulk"),
    IT("IT"),
    NOADC("NOADC");
    private final String value;

    FareAmountType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static FareAmountType fromValue(String v) {
        for (FareAmountType c: FareAmountType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
